Bug 1298858 - pcsc-lite doesn't recommend pcsc-lite-ccid
pcsc-lite doesn't recommend pcsc-lite-ccid
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 04:41 EST by Nikos Mavrogiannopoulos
Modified: 2016-01-23 22:32 EST (History)
9 users (show)

See Also:
Fixed In Version: pcsc-lite-1.8.15-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 22:32:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2016-01-15 04:41:09 EST
Description of problem:
The pcsc-lite package has:
Requires:       pcsc-ifd-handler
Recommends:     pcsc-lite-ccid

The pcsc-ifd-handler is provided by the two following packages:
pcsc-lite-asekey
pcsc-lite-ccid


However doing a dnf install opensc (which pulls pcsc-lite) installs pcsc-lite-asekey.

How reproducible:


Steps to Reproduce:
1. Start with a clean fedora23.
2. sudo dnf install opensc
3. rpm -q pcsc-lite-asekey
4. rpm -q pcsc-lite-ccid


Actual results:
$ rpm -q pcsc-lite-asekey
pcsc-lite-asekey-3.7-2.fc23.x86_64

$ rpm -q pcsc-lite-ccid
package pcsc-lite-ccid is not installed


Expected results:
$ rpm -q pcsc-lite-ccid
pcsc-lite-ccid-1.4.20-1.fc23.x86_64

$ rpm -q pcsc-lite-asekey
package pcsc-lite-asekey is not installed
Comment 2 Honza Silhan 2016-01-19 09:54:18 EST
It does not have Recommends flag, see: `dnf repoquery --recommends pcsc-lite -C --releasever 23` empty result.
Comment 3 Fedora Update System 2016-01-19 10:32:42 EST
pcsc-lite-1.8.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-915eb224e4
Comment 4 Fedora Update System 2016-01-20 18:58:14 EST
pcsc-lite-1.8.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-915eb224e4
Comment 5 Fedora Update System 2016-01-23 22:32:19 EST
pcsc-lite-1.8.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.